﻿@using System.Web.UI.WebControls;
@using SPEX.Models
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_POSSDataPartialScript")
<div class="content">
    <table style="width: 100%">
        <tr>
            <td style="width: 10%">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "POSS Date";
                }).GetHtml()
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_POSS_DT_FROM";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                    settings.Properties.DisplayFormatInEditMode = true;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                    settings.Width = 110;
                    settings.Properties.ClientSideEvents.DateChanged = "I_POSS_DT_FROM_OnChanged";
                }).GetHtml()
            </td>
            <td style="width: 3%" align="center">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "To";
                }).GetHtml()
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "I_POSS_DT_TO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                    settings.Properties.DisplayFormatInEditMode = true;
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.ReadOnly = false;
                    settings.Properties.UseMaskBehavior = true;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.CalendarProperties.EnableYearNavigation = true;
                    //settings.Properties.ClientSideEvents.DateChanged = "I_POSS_DT_TO_OnChanged";
                    settings.Width = 110;
                }
                ).GetHtml()
            </td>
            <td style="width: 2%" align="center">
                &nbsp;
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Send Status";
                }).GetHtml()
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_TMAP_SEND";
                    settings.Width = 80;
                    settings.SelectedIndex = -1;
                    settings.Properties.DropDownWidth = 100;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.Items.Add("Y", "Y");
                    settings.Properties.Items.Add("N", "N");
                }).GetHtml()
            </td>
            <td style="width: 3%" align="center">
                &nbsp;
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Packing Company";
                }).GetHtml()
            </td>
            <td style="width: 10%" align="left">
                @Html.DevExpress().ComboBox(
                settings =>
                {
                    settings.Name = "I_PACKING_COMPANY";
                    settings.Width = 80;
                    settings.SelectedIndex = -1;
                    settings.Properties.DropDownWidth = 100;
                    settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                    settings.Properties.ValueField = "SYSTEM_VALUE";
                    settings.Properties.ValueType = typeof(string);
                    settings.Properties.Columns.Add("SYSTEM_VALUE", "Packing Company", 100);
                }).BindList((List<mInvoice>)ViewData["PackingCompanyList"]).GetHtml()
            </td>
            <td style="width: 27%">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td style="width: 100px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order No";
                    label.Height = 25;
                }).GetHtml()
            </td>
            <td style="width: 100px" align="left">
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_ORDER_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 25;
              }).GetHtml()
            </td>
            <td style="width: 30px" align="center" colspan="3">
                &nbsp;
            </td>
            <td style="width: 100px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Part Number";
                    label.Height = 25;
                }).GetHtml()
            </td>
            <td style="width: 100px" align="left">
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_PART_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 25;
              }).GetHtml()
            </td>
            <td style="width: 30px" align="center">
                &nbsp;
            </td>
            <td style="width: 100px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Item No";
                    label.Height = 25;
                }).GetHtml()
            </td>
            <td style="width: 100px" align="left">
                @Html.DevExpress().TextBox(
              settings =>
              {
                  settings.Name = "I_ITEM_NO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Width = 120;
                  settings.Properties.MaxLength = 25;
              }).GetHtml()
            </td>
            <td style="width: 27%">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="11">
                <hr />
            </td>
        </tr>
        <tr>
            <td colspan="10">
            </td>
            <td style="width: 100px" align="right">
                @Html.DevExpress().Button(
                cmdSearch =>
                {
                    cmdSearch.Name = "cmdSearch";
                    cmdSearch.Text = "Search";
                    cmdSearch.Width = 80;
                    cmdSearch.ClientSideEvents.Click = "OnSearch";
                    cmdSearch.Style.Add("display", "inline-table");
                    cmdSearch.UseSubmitBehavior = true;
                    //cmdSearch.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PEB", "FTR-SPEX-42-01", "SEARCH");
                }
                ).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 80;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PEB", "FTR-SPEX-42-01", "CLEAR");
                }
                ).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content">
    @Html.Partial("POSSDataGrid")
</div>
